Subject: Re: [bug#54561] [PATCH 1/4] services: Add samba service.

From: fesoj000 <[email-masked]>
Date: Sun, 27 Mar 2022 20:58:30 +0200

On 3/27/22 8:48 PM, Simon Streit wrote:
> fesoj000 <[email-masked]> writes:
> 
>> I have a local service definition for samba i wanted to upstream
>> at some point. Your service looks better then mine though.
> 
> Thanks.  It still counts as my first try writing a service.
> 
>> fyi: I currently use samba as an AD DC.
> 
> Impressive!  It might be quite interesting to see how you managed to set
> up an AD DC.  I stopped after certain tools began to crash.  I tried to
> solve them here [1].  I just noticed that you had pushed some patches
> some time ago too [2].  They're both addressing the same issues.  In
> this case your patches are looking better than mine.
> 
> That means these tools are working for you now?
> 
> [1] https://issues.guix.gnu.org/52976
> [2] https://issues.guix.gnu.org/54266
I mostly followed the step by step guide in the samba wiki [0]. I use this
AD DC mostly for testing and developing (kerberos, ldap). While following
the step by step guide i found that samba-tool and friends are not working,
so i tried to fix them, and yes, they do work for me currently using my patch.

My main motivation for running samba as AD DC is that i want to port sssd to
guix. Currently i have a hack for glibc which solves the libnss module lookup
issue. But all this needs more polish and time....

[0] https://wiki.samba.org/index.php/Setting_up_Samba_as_an_Active_Directory_Domain_Controller